Functions
Real Time Clock
kvmlib

## Functions
kvmStatus | kvmDeviceGetRTC (kvmHandle h, uint32 *t)
kvmStatus | kvmDeviceSetRTC (kvmHandle h, uint32 t)

## Detailed Description

## Function Documentation

## ◆ kvmDeviceGetRTC()

kvmStatus kvmDeviceGetRTC | ( | kvmHandle | h,
|  | uint32 * | t
| ) |  |

Get date and time from the RTC chip. The time is returned in standard unix time (number of seconds since 1970-01-01T00:00:00+00:00). Only for device handles.

Parameters

  [in] | h | An open kvmHandle.
  [out] | t | Time in Unix time.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

## ◆ kvmDeviceSetRTC()

kvmStatus kvmDeviceSetRTC | ( | kvmHandle | h,
|  | uint32 | t
| ) |  |

Set date and time in the RTC. The time is returned in standard Unix time (number of seconds since 1970-01-01T00:00:00+00:00). Only for device handles.

Parameters

  [in] | h | An open kvmHandle.
  [in] | t | Time in Unix time.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure